# Severe Weather Events Notebooks

For background on the severe weather category please see also the [Severe Weather category information documentation](/getting-started/predicthq-data/event-categories/unscheduled-events.md#severe-weather).

This How to Series consist of the following three Jupyter  notebooks, allows you to quickly extract the data (Part 1), explore the data (Part 2) and experiment with different aggregations (Part 3):

* [**Part 1: Data Engineering**](https://github.com/predicthq/phq-data-science-docs/blob/master/severe-weather-events/part_1_data_engineering.ipynb) shows you how to call the Events API to extract Severe-Weather events to a Pandas DataFrame.
* [**Part 2: Data Exploration**](https://github.com/predicthq/phq-data-science-docs/blob/master/severe-weather-events/part_2_data_exploration.ipynb) is a guide to exploring PredictHQ's Severe-Weather events for Data Science teams.
* [**Part 3: Feature Engineering**](https://github.com/predicthq/phq-data-science-docs/blob/master/severe-weather-events/part_3_feature_engineering.ipynb) provides examples of how to aggregate and extract features from the Severe-Weather events.

{% embed url="<https://www.youtube.com/watch?v=Hp_F_tTMzc8>" %}
Forecasting with Severe Weather - Part 1
{% endembed %}

{% embed url="<https://www.youtube.com/watch?v=1h140czy4so>" %}
Forecasting with Severe Weather - Part 2
{% endembed %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.predicthq.com/getting-started/guides/events-api-guides/severe-weather-events-data-science-guides.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
